package pmicrovenus;

import java.io.Serializable;
import javax.persistence.Entity;

@Entity
public class Carta extends Casilla implements Serializable {
    private int tipo;

    public Carta() {
    }
    
    Carta(int id, String des, int px, int py, int tipo) {
        super(id,des,px,py); 
        this.tipo=tipo;
    }

    @Override
    public void accion(Tablero t) {
        System.out.println(t.getJugadorActual().getNombre() + " ha caido en la casilla numero " + super.getNum() + ", " + tipo + super.getDescripcion());

        t.getJugadorActual().setCogeCarta(tipo);
    }

    public int getTipo() {
        return tipo;
    }

    public void setTipo(int tipo) {
        this.tipo = tipo;
    }
}
